[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'Pipes' (#fcl)

# CreatePipeStreams

Create a pair of pipe stream.

## Declaration

Source position: pipes.pp line 54

`procedure CreatePipeStreams(`
`var InPipe: TInputPipeStream;`
`var OutPipe: TOutputPipeStream`
`);`

## Arguments

`InPipe` |  | Contains the read end of the pipe on return
`OutPipe` |  | Contains the write end of the pipe on return.

## Description

CreatePipeStreams creates a set of pipe file descriptors with CreatePipeHandles, and if that call is successful, a pair of streams is created: InPipe and OutPipe.

On some systems (notably: windows) the size of the buffer to be used for communication between 2 ends of the buffer can be specified in the APipeBufferSize parameter. This parameter is ignored on systems that do not support setting the buffer size.

## Errors

If no pipe handles could be created, an EPipeCreation exception is raised.

## See also

CreatePipeHandles |  | Function to create a set of pipe handles
TInputPipeStream |  | TStream descendent which wraps the read end of a pipe.
TOutputPipeStream |  | TStream descendent which wraps the write end of a pipe.